<?php
/***************************************\
|			PHP OPTIMISATEUR			|
|	  Plugin Front2Back Support 1.1.a	|
\***************************************/

## Déplace les versions alternatives dans 'thumbnail/verso'
## Crée la version alternative hd dans 'pwg_high/verso'
## Supprime le suffixe et déplace aussi les fichiers du repertoire source

$F2B_nameverso = $CONF['Plugins']['front2back_support']['NAMEverso']; // Suffixe des versions alternatives
$F2B_moveverso = $CONF['Plugins']['front2back_support']['MOVEverso']; // Déplacer les images originales dans un sous dosssier 'verso'

if (strpos($FileName, $F2B_nameverso) !== false) {
	$FileNameClean = str_replace($F2B_nameverso, '', $FileName);
	
	// Image normale
	if (!file_exists($FileFolder.'thumbnail/verso')) {
		mkdir($FileFolder.'thumbnail/verso');
	}
	exec('include\nconvert.exe -q '.$CONF['Qnormal'].' -out jpeg -o "'.$FileFolder.'thumbnail/verso/'.$FileNameClean.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMnormal'].' '.$CONF['DIMnormal'].' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
	
	// Image hd
	if ($CONF['DIRhighORNOT']) {
		if (!file_exists($FileFolder.'pwg_high/verso')) {
			mkdir($FileFolder.'pwg_high/verso');
		}
		if ($CONF['DIMhdORNOT']) {
			exec('include\nconvert.exe -q '.$CONF['Qhd'].' -out jpeg -o "'.$FileFolder.'pwg_high/verso/'.$FileNameClean.'.jpg" -dpi '.$CONF['DPI'].' '.$CONF['convOptions'].' -resize '.$CONF['DIMhd'].' '.$CONF['DIMhd'].' '.$CONF['copyHD'].' "'.$FilesSource[$i].'"');
		} else if (!in_array($FileExt, $CONF['JPGexts'])) {
			exec('include\nconvert.exe -q '.$CONF['Qhd'].' -out jpeg -o "'.$FileFolder.'pwg_high/'.$FileNameClean.'.jpg" "'.$FilesSource[$i].'"');
		} else {
			copy($FilesSource[$i], $FileFolder.'pwg_high/verso/'.$FileNameClean.'.jpg');
		}
	}
	
	// Déplacement de l'image originale
	if ($F2B_moveverso) {
		$FileFolderSource = str_replace($CONF['DIRsortie'], $CONF['DIRsource'], $FileFolder);
		if (!file_exists($FileFolderSource.'verso')) {
			mkdir($FileFolderSource.'verso', 0777, true);
		}
		rename($FileFolderSource.$FileName.'.'.$FileExt, $FileFolderSource.'verso/'.$FileNameClean.'.'.$FileExt);
	}
	
	// Suppression de la miniature si déjà crée (par un autre plugin)
	if (file_exists($FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg')) {
		unlink($FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg');
	}
	
	$BlockNormal['front2back_support'] = true;
	$BlockThumbnail['front2back_support'] = true;
	$BlockHigh['front2back_support'] = true;
}
?>